# PokemonHeldItemModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonHeldItemModifier`Abstract`

#### Hierarchy (view full)

- PersistentModifier
  - PokemonHeldItemModifier
    - LapsingPokemonHeldItemModifier
    - PokemonBaseStatModifier
    - StatBoosterModifier
    - AttackTypeBoosterModifier
    - SurviveDamageModifier
    - BypassSpeedChanceModifier
    - FlinchChanceModifier
    - TurnHealModifier
    - TurnStatusEffectModifier
    - HitHealModifier
    - BerryModifier
    - PokemonInstantReviveModifier
    - PokemonExpBoosterModifier
    - PokemonFriendshipBoosterModifier
    - PokemonNatureWeightModifier
    - PokemonMoveAccuracyBoosterModifier
    - PokemonMultiHitModifier
    - PokemonFormChangeItemModifier
    - DamageMoneyRewardModifier
    - SwitchEffectTransferModifier
    - HeldItemTransferModifier

- Defined in src/modifier/modifier.ts:470

#####
Index

### Constructors

constructor

### Properties

pokemonId
stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxHeldItemCount
getMaxStackCount
getPokemon
getScoreMultiplier
getSecondaryChanceMultiplier
getStackCount
getTransferrable
incrementStack
isIconVisible
match
matchType
shouldApply

## Constructors

### constructor

- new PokemonHeldItemModifier(type, pokemonId, stackCount): PokemonHeldItemModifier

- #### Parameters

  - type: ModifierType
  - pokemonId: number
  - stackCount: number

  #### Returns PokemonHeldItemModifier

  Overrides PersistentModifier.constructor

  - Defined in src/modifier/modifier.ts:473

## Properties

### pokemonId

pokemonId: number

- Defined in src/modifier/modifier.ts:471

### stackCount

stackCount: number

Inherited from PersistentModifier.stackCount

- Defined in src/modifier/modifier.ts:149

### type

type: ModifierType

Inherited from PersistentModifier.type

- Defined in src/modifier/modifier.ts:131

### virtualStackCount

virtualStackCount: number

Inherited from PersistentModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:150

## Methods

### add

- add(modifiers, virtual, scene): boolean

- #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean
  - scene: default

  #### Returns boolean

  Inherited from PersistentModifier.add

  - Defined in src/modifier/modifier.ts:158

### `Abstract` apply

- apply(args): boolean | Promise<boolean>

- #### Parameters

  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PersistentModifier.apply

  - Defined in src/modifier/modifier.ts:145

### `Abstract` clone

- clone(): PersistentModifier

- #### Returns PersistentModifier

  Inherited from PersistentModifier.clone

  - Defined in src/modifier/modifier.ts:173

### getArgs

- getArgs(): any[]

- #### Returns any[]

  Overrides PersistentModifier.getArgs

  - Defined in src/modifier/modifier.ts:485

### getIcon

- getIcon(scene, forSummary?): Container

- #### Parameters

  - scene: default
  - `Optional` forSummary: boolean

  #### Returns Container

  Overrides PersistentModifier.getIcon

  - Defined in src/modifier/modifier.ts:501

### getIconStackText

- getIconStackText(scene, virtual?): BitmapText

- #### Parameters

  - scene: default
  - `Optional` virtual: boolean

  #### Returns BitmapText

  Inherited from PersistentModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:223

### `Abstract` getMaxHeldItemCount

- getMaxHeldItemCount(pokemon): number

- #### Parameters

  - pokemon: default

  #### Returns number

  - Defined in src/modifier/modifier.ts:567

### getMaxStackCount

- getMaxStackCount(scene, forThreshold?): number

- #### Parameters

  - scene: default
  - `Optional` forThreshold: boolean

  #### Returns number

  Overrides PersistentModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:556

### getPokemon

- getPokemon(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  - Defined in src/modifier/modifier.ts:532

### getScoreMultiplier

- getScoreMultiplier(): number

- #### Returns number

  - Defined in src/modifier/modifier.ts:536

### getSecondaryChanceMultiplier

- getSecondaryChanceMultiplier(pokemon): number

- #### Parameters

  - pokemon: default

  #### Returns number

  - Defined in src/modifier/modifier.ts:541

### getStackCount

- getStackCount(): number

- #### Returns number

  Inherited from PersistentModifier.getStackCount

  - Defined in src/modifier/modifier.ts:192

### getTransferrable

- getTransferrable(withinParty): boolean

- #### Parameters

  - withinParty: boolean

  #### Returns boolean

  - Defined in src/modifier/modifier.ts:493

### incrementStack

- incrementStack(scene, amount, virtual): boolean

- #### Parameters

  - scene: default
  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from PersistentModifier.incrementStack

  - Defined in src/modifier/modifier.ts:179

### isIconVisible

- isIconVisible(scene): boolean

- #### Parameters

  - scene: default

  #### Returns boolean

  Overrides PersistentModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:497

### match

- match(modifier): boolean

- #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides PersistentModifier.match

  - Defined in src/modifier/modifier.ts:481

### `Abstract` matchType

- matchType(_modifier): boolean

- #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  - Defined in src/modifier/modifier.ts:479

### shouldApply

- shouldApply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides PersistentModifier.shouldApply

  - Defined in src/modifier/modifier.ts:489